%define plugins_ver 0.90
%define asound_ver  0.9.1

Name:          childsplay
Version:       1.6
Release:       3mamba
Summary:       A 'suite' of educational games for young children
Group:         Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://childsplay.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/schoolsplay/childsplay_sp/%{version}/childsplay-%{version}.tgz
#Source1:       http://downloads.sourceforge.net/sourceforge/%{name}/childsplay_plugins-%{plugins_ver}.tgz
Source2:       %{name}.desktop
Source3:       http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_ca-%{asound_ver}.tgz
Source4:       http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_de-%{asound_ver}.tgz
Source5:       http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_es-%{asound_ver}.tgz
Source6:       http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_fr-%{asound_ver}.tgz
Source7:       http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_it-%{asound_ver}.tgz
Source8:       http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_nl-%{asound_ver}.tgz
Source9:       http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_ru-%{asound_ver}.tgz
Source10:      http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_sv-0.9.2.tgz
Source11:      http://downloads.sourceforge.net/project/schoolsplay/alphabet_sounds/%{asound_ver}/alphabet_sounds_pt-%{asound_ver}.tgz
#Source13:      http://downloads.sourceforge.net/sourceforge/%{name}/childsplay_plugins_lfc-%{plugins_ver}.tgz
Source14:      %{name}-icon.png
Patch0:        childsplay-0.80.3.1-install.patch
Patch1:        childsplay-0.90.2-locale_it.patch
Patch2:        childsplay-0.90.2-install_plugins_lfc.patch
Patch3:        childsplay-0.90.2-install_plugins.patch
Patch4:        childsplay-0.90.2-install_score.patch
Patch5:        childsplay-0.80.3.1-childsplay_sh.patch
Patch6:        childsplay-0.90.2-it_lang_plugins_lfc.patch
Patch7:        childsplay-0.90.2-locale_it_font.patch
Patch8:        childsplay-1.6-python-SQLAlchemy-0.7.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL_image-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libogg-devel
Requires:      python-pygame
Requires:      python-SQLAlchemy
Requires:      libfribidi
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Childsplay is a 'suite' of educational games for young children, like gcompris, but without the overkill of c/c++ and the gnome environ.
Also the use of the SDL libraries makes smooth animation and the playing of sound very easy.

%prep
%setup -q
%patch8 -p1

%build
sed -i "s|/usr/local|%{buildroot}%{_prefix}|" setup.py

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
python setup.py install \
   --root=%{buildroot} << _EOF
   
_EOF
   
# create the italian locale from the italian catalog file
##install -d locale/it/LC_MESSAGES
##/usr/bin/msgfmt doc/po/it/childsplay.po \
##   -o locale/it/LC_MESSAGES/%{name}.mo

#LANG=${LANG/\.UTF-8/} ./INSTALL.sh %{buildroot}
#ln -sf /var/games/childsplay.score %{buildroot}%{_datadir}/childsplay/Data/childsplay.score

%{find_lang} %{name}_sp

#cd childsplay_plugins-%{plugins_ver}
#./install.sh %{buildroot}

install -D -m644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m0644 %{SOURCE14} %{buildroot}%{_datadir}/pixmaps/childsplay.png
sed -i "s,%{buildroot},," %{buildroot}%{python_sitearch}/childsplay_sp/SPBasePaths.py
rm -f %{buildroot}%{python_sitearch}/childsplay_sp/SPBasePaths.py

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}_sp.lang
%defattr(-,root,root)
%{_bindir}/childsplay
%{python_sitearch}/childsplay_sp-*-py*.egg-info
%dir %{python_sitearch}/childsplay_sp
%{python_sitearch}/childsplay_sp/*
%dir %{_datadir}/childsplay_sp
%{_datadir}/childsplay_sp/*
%{_datadir}/pixmaps/childsplay.png
%{_datadir}/applications/childsplay.desktop
%dir %{_datadir}/sp_alphabetsounds
%{_datadir}/sp_alphabetsounds/*
%dir %{_docdir}/childsplay_sp
%{_docdir}/childsplay_sp/*

%changelog
* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-3mamba
- python 2.7 mass rebuild

* Tue Dec 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6-2mamba
- added requirement and patch for python-SQLAlchemy 0.7

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- update to 1.6

* Wed Aug 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.90.2-2mamba
- fixed a syntax error in locale_it_font.patch preventing program to start
- fixed desktop menu icon

* Tue Sep 30 2008 Tiziana Ferro <tiziana.ferro@email.it> 0.90.2-1mamba
- update to version 0.90.2

* Fri Nov 11 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.80.3.1-1qilnx
- update to version 0.80.3.1 by autospec

* Wed Jan 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.80.1-1qilnx
- package created by autospec
- added italian localisation
